<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">

<!--
Copyright 2007, Google Inc.

Redistribution and use in source and binary forms, with or without 
modification, are permitted provided that the following conditions are met:

 1. Redistributions of source code must retain the above copyright notice, 
    this list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the above copyright notice,
    this list of conditions and the following disclaimer in the documentation
    and/or other materials provided with the distribution.
 3. Neither the name of Google Inc. nor the names of its contributors may be
    used to endorse or promote products derived from this software without
    specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR 
OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF 
ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-->

<html>
  <head>
    <title>Sample Applications</title>
    <link rel="stylesheet" type="text/css" href="gears.css" />
  </head>

<body>

<h1>Sample Applications</h1>

<div id="pagecontent">

<p>This page lists sample applications that use Google Gears API. Sample 
    code is found in the /samples directory of the the zipfile provided below, or by using the <em>view source</em>
  feature of your browser. </p>
<p>Download the sample code from the <a href="tools.html#samples_and_tools">Resources and Tools</a> page. </p>
<p>&nbsp;</p>

<br />

<h2>&quot;Hello, World&quot; Samples </h2>
<p class="note"><span style='color:red'>Note :</span> To see the sample 
  applications working, you must first <a href="install.html">install 
  Google Gears</a>.</p>
<p><a href="samples/hello_world_database.html">Simple Database Demo</a><br />
Shows how to read and write data locally using the
<a href="api_database.html">Database</a> module.</p>

<p><a href="samples/hello_world_resourcestore.html">Simple
  ResourceStore Demo</a><br />
Uses the <a href="api_localserver.html">LocalServer</a> module
to capture a URL so that it can be viewed while offline.</p>

<p><a href="samples/hello_world_managedstore/managed_store.html">Simple
ManagedResourceStore Demo</a><br />
Uses the <a href="api_localserver.html">LocalServer</a> module to capture
a versioned set of URLs, and updates the entire set to a new version.</p>

<p><a href="samples/hello_world_workerpool.html">Simple WorkerPool Demo</a>
<br />
Performs a long-running computation without blocking the UI, using the
<a href="api_localserver.html">WorkerPool</a> module.</p>
<br />

<h2><a name="example_db" id="example_db"></a>Sample Application: Gearpad </h2>
<p>Gearpad is simple web-based notepad which allows you to read and write notes, even
offline. Gearpad transitions between online/offline states seamlessly,
even when the network connection is intermittent.

<p>
  <b>Source location:</b> <code>/samples/gearpad</code><br />
</p>
<p>
  <b>Modules used:</b> Database, LocalServer.
</p>
<p>
  <b>To run Gearpad:</b>
	<ul>
		<li>Set up a PHP server and a MySQL database</li>
		<li>Create a database using the db.sql script</li>
		<li>Place the Gearpad files under you PHP server's document root</li>
		<li>Customize _dbconfig.php if necessary</li>
	</ul>



</div>
</body>
</html>
